## org.hibernate.ejb
Class InjectionSettingsFactory

    java.lang.Object
      org.hibernate.cfg.SettingsFactory
          org.hibernate.ejb.InjectionSettingsFactory

All Implemented Interfaces:
  Serializable

    public class InjectionSettingsFactory

extends SettingsFactory

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.SettingsFactory
`DEF_CACHE_REG_FACTORY`

Constructor Summary
`InjectionSettingsFactory()`

Method Summary
`protected ConnectionProvider` `createConnectionProvider(Properties properties)`
`void` `setConnectionProviderInjectionData(Map connectionProviderInjectionData)` Map<String,Object> where the key represents the javabean property in witch Object will be injected

Methods inherited from class org.hibernate.cfg.SettingsFactory
`buildBytecodeProvider, buildSettings, createBatcherFactory, createQueryCacheFactory, createQueryTranslatorFactory, createRegionFactory, createTransactionFactory, createTransactionManagerLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionSettingsFactory

    public InjectionSettingsFactory()

Method Detail

### setConnectionProviderInjectionData

    public void setConnectionProviderInjectionData(Map connectionProviderInjectionData)

  Map<String,Object> where the key represents the javabean property in witch Object will be injected

  Parameters:
    `connectionProviderInjectionData` -

### createConnectionProvider

    protected ConnectionProvider createConnectionProvider(Properties properties)

  Overrides:
    `createConnectionProvider` in class `SettingsFactory`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.